i2o_driver_dispatch
Prev | I2O message devices | Next

## Name

i2o_driver_dispatch — dispatch an I2O reply message

## Synopsis

`int i2o_driver_dispatch (` | struct i2o_controller * | c,
| u32 | m`)`;

## Arguments

`c`

  I2O controller of the message

`m`

  I2O message number

## Description

The reply is delivered to the driver from which the original message was. This function is only called from interrupt context.

Returns 0 on success and the message should not be flushed. Returns > 0 on success and if the message should be flushed afterwords. Returns negative error code on failure (the message will be flushed too).

Prev | Up | Next
i2o_bus_match | Home | i2o_driver_init